CadXP: COTATION COURBES DE NIVEAUX - CadXP

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

COTATION COURBES DE NIVEAUX (MNTObjet)

#1 L'utilisateur est hors-ligne   lili2006 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 12 301
  • Inscrit(e) : 21-décembre 05

Posté 18 mai 2015 - 17:48

Bonjour à toutes et tous,

A part décomposer le MNTObjet puis le recomposer, comment faites vous si vous souhaitez coter les courbes de niveaux ?

Merci d'avance,
AutoCAD MAP 3D 2021 - COVADIS_17.1b
https://www.linkedin...3%ABt-95313341/
0

#2 L'utilisateur est hors-ligne   thierry.garré 

  • ceinture rouge et blanche 6em dan
  • Groupe : Moderateurs
  • Messages : 3 156
  • Inscrit(e) : 30-juin 04
  • LocationAubenas 07 le pays des Chataignes

Posté 18 mai 2015 - 21:41

covadis 3d/courbes de niveaux/automatique sur MNT ???
Thierry Garré

Géorail-Covadis-Autopiste-Autocad-Autocad Map-Infraworks 360- Navisworks -Recap
0

#3 L'utilisateur est hors-ligne   didier 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 8 589
  • Inscrit(e) : 18-décembre 02
  • LocationPlanète : Terre

Posté 19 mai 2015 - 07:32

Coucou

d'habitude c'est moi qui ronchonne contre ces nouveaux objets qui ne sont plus des entités AutoCAD !!!
et maintenant tu prends la relève, bravo l'éducation nationale !

blague à part il faut en parler, les courbes de niveaux des MN objet ne sont pas ... des courbes de niveaux ce n'est que de "l'affichage".
il faut en redessiner d'autres, des vraies entités AutoCAD pour lancer la cotation

je ne ronchonne pas car je trouve finalement de l'intérêt à ces MNT objet, pas toujours mais souvent tout de même

amicalement
0

#4 L'utilisateur est hors-ligne   lili2006 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 12 301
  • Inscrit(e) : 21-décembre 05

Posté 19 mai 2015 - 10:25

Bonjour à toutes et tous,

Salut Thierry,

Citation

covadis 3d/courbes de niveaux/automatique sur MNT ???


Je n'ai pas possibilité de revérifier mais il me semble que nous n'avons pas toutes les options de disponible dans le choix de la cotation comme dans la commande "Cotation des courbes"

Salut Didier,

Citation

les courbes de niveaux des MN objet ne sont pas ... des courbes de niveaux ce n'est que de "l'affichage".


Aprés lissage en b-spline, j'explose le MNTO (on retrouve donc les calques des courbes de niveaux que l'on choisit de coter,..) et je peux coter les courbes souhaitées Mais, cela ne doit pas être la bonne méthode,...
AutoCAD MAP 3D 2021 - COVADIS_17.1b
https://www.linkedin...3%ABt-95313341/
0

#5 L'utilisateur est hors-ligne   lili2006 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 12 301
  • Inscrit(e) : 21-décembre 05

Posté 19 mai 2015 - 10:42

Re,

Je pense avoir compris,..

On utilise "covadis 3d/courbes de niveaux/automatique sur MNT ???" pour redessiner les courbes, surement ce que voulais dire Didier,..(.

Citation

l faut en redessiner d'autres, des vraies entités AutoCAD pour lancer la cotation
)

Et ensuite, on cote ces courbes ?

Au final, ma "méthode" revient au même ,...

Je pensais qu'il était possible de coter les courbes du MNTObjet sans faire cette opération,...
AutoCAD MAP 3D 2021 - COVADIS_17.1b
https://www.linkedin...3%ABt-95313341/
0

#6 L'utilisateur est hors-ligne   tiphon 

  • ceinture noire
  • Groupe : Membres
  • Messages : 493
  • Inscrit(e) : 22-septembre 07

Posté 19 mai 2015 - 11:35

Bonjour Lili

Citation

Au final, ma "méthode" revient au même ,...

... Visuellement parlant oui...
... Mais décomposer un MNT objet est une chose qu'il est préférable d'éviter maintenant qu'en v14 toutes les commandes gèrent les MNT objet. Entre autre tu perds tout le dynamisme des MNT objet aussi bien au niveau de la création du MNT objet qu'au niveau de son utilisation dans des projets.


Cordialement
0

#7 L'utilisateur est hors-ligne   didier 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 8 589
  • Inscrit(e) : 18-décembre 02
  • LocationPlanète : Terre

Posté 19 mai 2015 - 12:17

Coucou

oui ça revient au même mais c'est la différence entre le travail fait et le travail BIEN fait
je me contente du maximum donc je choisis la deuxième option.

amicalement
0

#8 L'utilisateur est hors-ligne   lili2006 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 12 301
  • Inscrit(e) : 21-décembre 05

Posté 19 mai 2015 - 19:38

Re,

Salut Typhon,

Citation

Entre autre tu perds tout le dynamisme des MNT objet


Oui, c'est pour ça que j'ai écrit =>

Citation

A part décomposer le MNTObjet puis le recomposer,A part décomposer le MNTObjet puis le recomposer,


Je suis surpris que l'on ne puisse pas faire autrement que comme je fais actuellement ou en repassant par le dessin, puis, la cotation des courbes.

Sur un plan topo, c'est incontournable parfois,...

Citation

je me contente du maximum


En général moi aussi, mais dans la limite de mes compétences/connaissances,...D'ou ma question d'ailleurs !

Ou alors, c'est peut être une suggestion pour les versions à venir si je ne suis pas le seul à y voir un intérêt,...
AutoCAD MAP 3D 2021 - COVADIS_17.1b
https://www.linkedin...3%ABt-95313341/
0

#9 L'utilisateur est hors-ligne   tiphon 

  • ceinture noire
  • Groupe : Membres
  • Messages : 493
  • Inscrit(e) : 22-septembre 07

Posté 20 mai 2015 - 06:18

Bonjour Lili
Si par recomposer un MNT objet, tu entends créer un MNT objet à partir de faces 3D, ce MNT objet n'est pas dynamique
(A la différence d'un MNT objet créee à partir d'un semis de points et de lignes de ruptures de pentes)!
Visuellement parlant il est là, identique à ce qu'il était avant décomposition. Tu peux l'utiliser dans des projets. Mais il a perdu son dynamisme (s'il en avait un bien sûr)!
Et l'objet Etat de Terrain qui sert d'intermédiaire pour associer les MNT de référence dans les projets risque de ne plus être correctement paramétré.

Une remarque au passage : le fait de dessiner les courbes de niveau sous forme de polylignes présente l'avantage qu'n peut si besoin retravailler ces objets manuellement avant de les coter.


Cordialement
0

#10 L'utilisateur est hors-ligne   lili2006 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 12 301
  • Inscrit(e) : 21-décembre 05

Posté 20 mai 2015 - 07:43

Bonjour à toutes et tous,

Salut Typhon,

Citation

ce MNT objet n'est pas dynamique


Je me sers de cette "technique" que pour le rendu du plan topo. J'ai bien entendu le fichier de base de projet ou j'ai réalisé mon MNTObjet depuis point/lignes de ruptures. C'est sur celui ci que je travaille les projets.

Mon "soucis" est uniquement la finalisation de mon plan Topo avec cotation des courbes de niveaux,...

Une remarque au passage : le fait de dessiner les courbes de niveau sous forme de polylignes présente l'avantage qu'n peut si besoin retravailler ces objets manuellement avant de les coter.


Bien entendu, mais je trouve dommage d'avoir le calcul des courbes dans le MNTObjet sans possibilité de le coter, c'était juste ma remarque.

Merci pour ce complément d'info Typhon,;)
AutoCAD MAP 3D 2021 - COVADIS_17.1b
https://www.linkedin...3%ABt-95313341/
0

#11 L'utilisateur est hors-ligne   ptisylvain 

  • Advanced Member
  • PipPipPip
  • Groupe : Membres
  • Messages : 34
  • Inscrit(e) : 13-juin 08

Posté 20 juillet 2015 - 14:44

+1, c'est pas normal. Si on va vers l'objet MNT, alors il faut aussi faire vivre les "anciennes" fonctions telles que la cotation des courbes de niveaux.
Certes, il y a "Covadis 3D > MNT Objet > Utilitaires > Extraire les courbes de niveaux" mais cette étape supplémentaire alourdi considérablement le dessin lorsque le MNT est d'une taille importante.
Appel aux développeurs Géomédia... la cotation des courbes pourrait être interactive avec les courbes du MNT Objet.
0

#12 L'utilisateur est hors-ligne   bonuscad 

  • ceinture rouge et blanche 8em dan
  • Groupe : Membres
  • Messages : 4 795
  • Inscrit(e) : 20-juin 03

Posté 20 juillet 2015 - 16:13

Bonjour,

Je l'avais posté sur un forum (je ne sais plus où!)
Cela créer un texte au milieu d'une/des polylignes optimisées sélectionnées en prenant son/leurs élévations.
Je ne sais pas si ça répond vraiment à la demande...

(vl-load-com)
(defun c:Label_Side_Elevation ( / js htx AcDoc Space n obj ename pr pt deriv rtx nw_obj)
  (princ "\nSélectionnez des polylignes: ")
  (setq js
    (ssget
      (list
        '(0 . "LWPOLYLINE")
        (cons 67 (if (eq (getvar "CVPORT") 1) 1 0))
        (cons 410 (if (eq (getvar "CVPORT") 1) (getvar "CTAB") "Model"))
      )
    )
  )
  (cond
    (js
      (initget 6)
      (setq htx (getdist (getvar "VIEWCTR") (strcat "\nSpécifiez la hauteur du texte <" (rtos (getvar "TEXTSIZE")) ">: ")))
      (if htx (setvar "TEXTSIZE" htx))
      (setq
        AcDoc (vla-get-ActiveDocument (vlax-get-acad-object))
        Space
        (if (= 1 (getvar "CVPORT"))
          (vla-get-PaperSpace AcDoc)
          (vla-get-ModelSpace AcDoc)
        )
      )
      (cond
        ((null (tblsearch "LAYER" "Label Elevation"))
          (vlax-put (vla-add (vla-get-layers AcDoc) "Label Elevation") 'color 96)
        )
      )
      (repeat (setq n (sslength js))
        (setq
          obj (ssname js (setq n (1- n)))
          ename (vlax-ename->vla-object obj)
          pr (* 0.5 (vlax-curve-getEndParam ename))
          pt (vlax-curve-GetpointAtParam ename pr)
          deriv (vlax-curve-getFirstDeriv ename pr)
          rtx (- (atan (cadr deriv) (car deriv)) (angle '(0 0 0) (getvar "UCSXDIR")))
        )
        (if (or (> rtx (* pi 0.5)) (< rtx (- (* pi 0.5)))) (setq rtx (+ rtx pi)))
        (setq nw_obj
          (vla-addMtext Space
            (vlax-3d-point (setq pt (polar pt (+ rtx (* pi 0.5)) (getvar "TEXTSIZE"))))
            0.0
            (strcat
              "{\\fArial|b0|i0|c0|p34;"
              "%<\\AcObjProp Object(%<\\_ObjId "
              (itoa (vla-get-ObjectID (vlax-ename->vla-object obj)))
              ">%).Elevation \\f \"%lu2%pr0\">%"
            )
          )
        )
        (mapcar
          '(lambda (pr val)
            (vlax-put nw_obj pr val)
          )
          (list 'AttachmentPoint 'Height 'DrawingDirection 'InsertionPoint 'StyleName 'Layer 'Rotation 'BackgroundFill)
          (list 5 (getvar "TEXTSIZE") 5 pt "Standard" "Label Elevation" rtx 0)
        )
      )
    )
  )
  (prin1)
)

Choisissez un travail que vous aimez et vous n'aurez pas à travailler un seul jour de votre vie. - Confucius
0

#13 L'utilisateur est hors-ligne   lecrabe 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 9 431
  • Inscrit(e) : 10-décembre 03
  • LocationLoire (42) Forez

Posté 21 juillet 2015 - 04:59

Hello Bruno

Heureusement que je te suis sur tous les forums !
http://forums.augi.c...-labelling-help

Bonne Journee, Bye, lecrabe
Autodesk Expert Elite Team
0

#14 L'utilisateur est hors-ligne   lili2006 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 12 301
  • Inscrit(e) : 21-décembre 05

Posté 21 juillet 2015 - 10:37

Bonjour à toutes et tous,

Bonuscad, ta routine fonctionne mais pas sur l'objet MNT, on revient donc au point de départ, redessiner les courbes en plus du MNTObjet,...

Mais merci,:)
AutoCAD MAP 3D 2021 - COVADIS_17.1b
https://www.linkedin...3%ABt-95313341/
0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)